[PATCH weston v2 01/14] tests: Add error handling for system calls

Bryce Harrington bryce at osg.samsung.com
Fri May 15 01:21:46 PDT 2015


Signed-off-by: Bryce Harrington <bryce at osg.samsung.com>
---
 tests/weston-tests-env | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/weston-tests-env b/tests/weston-tests-env
index ed8ff98..f945ac6 100755
--- a/tests/weston-tests-env
+++ b/tests/weston-tests-env
@@ -11,12 +11,12 @@ fi
 WESTON=$abs_builddir/weston
 LOGDIR=$abs_builddir/logs
 
-mkdir -p "$LOGDIR"
+mkdir -p "$LOGDIR" || exit
 
 SERVERLOG="$LOGDIR/${TEST_NAME}-serverlog.txt"
 OUTLOG="$LOGDIR/${TEST_NAME}-log.txt"
 
-rm -f "$SERVERLOG"
+rm -f "$SERVERLOG" || exit
 
 BACKEND=${BACKEND:-headless-backend.so}
 
-- 
1.9.1



More information about the wayland-devel mailing list